diff Resources/Builders/MinGW32-Python3.9/docker-internal.sh @ 111:6ad5da29f260 OrthancPython-4.0

added Windows builders for Python 3.9, 3.10 and 3.11
author Sebastien Jodogne <s.jodogne@gmail.com>
date Tue, 28 Mar 2023 17:27:06 +0200
parents
children 8335b42be9fc
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/Resources/Builders/MinGW32-Python3.9/docker-internal.sh	Tue Mar 28 17:27:06 2023 +0200
@@ -0,0 +1,37 @@
+#!/bin/bash
+set -ex
+
+mkdir /tmp/source-writeable
+
+cp -r /source/CMakeLists.txt /tmp/source-writeable/
+cp -r /source/Sources /tmp/source-writeable/
+cp -r /source/Resources /tmp/source-writeable/
+
+mkdir /tmp/build
+cd /tmp/build
+
+wget https://orthanc.uclouvain.be/third-party-downloads/Python/python-3.9.13-win32.zip
+unzip python-3.9.13-win32.zip
+
+if [ "$1" == "Release" ]; then
+    LIBRARY_NAME=python39.lib
+else
+    LIBRARY_NAME=python39_d.lib
+fi
+
+cmake /tmp/source-writeable/ \
+      -DCMAKE_BUILD_TYPE=$1 \
+      -DSTATIC_BUILD=ON \
+      -DPYTHON_VERSION=3.9 \
+      -DPYTHON_LIBRARY_NAME=${LIBRARY_NAME} \
+      -DPYTHON_WINDOWS_ROOT=/tmp/build/python-3.9.13-win32/ \
+      -DCMAKE_TOOLCHAIN_FILE=/source/Resources/Orthanc/Toolchains/MinGW-W64-Toolchain32.cmake \
+      -DCMAKE_INSTALL_PREFIX=/target 
+
+make -j`nproc`
+
+if [ "$1" == "Release" ]; then
+    i686-w64-mingw32-strip ./libOrthancPython.dll
+fi
+
+make install